/* BGS Exit Wormhole Effect
 *
 * Copyright (C) 2010-2014, License: CC BY-NC-SA 4.0
 *
 * This work is licensed under the Creative Commons License
 * Attribution-Noncommercial-Share Alike 4.0 International (CC BY-NC-SA 4.0)
 *
 * To view a copy of this license, visit
 * http://creativecommons.org/licenses/by-nc-sa/4.0/ or send an email
 * to info@creativecommons.org
 *
 * Player ship script to setup the BGS exit wormhole effect.
 */

"use strict";
this.author = "Pagroove, PhantorGorth, Thargoid and Svengali";
this.copyright = "(C) 2010-2014, License: CC BY-NC-SA 4.0";
this.description = "Shrink effect script.";
this.license = "CC BY-NC-SA 4.0";
this.name = "bgs_exitWormhole_effect";
this.version = "1.9";

this.effectSpawned = function()
{
	if(!this.visualEffect) return;
	this.duration = 0;
	this.callbackID = addFrameCallback(this.$shrinkSphere.bind(this));
};
this.$shrinkSphere = function(delta)
{
	if(!player.ship.isValid){
		this.visualEffect.remove();
		return;
	}
	this.visualEffect.scale(0.995);
	this.duration += delta;
	if(this.duration > 20) this.visualEffect.remove();
	else this.visualEffect.orientation = player.ship.orientation;
};
this.effectRemoved = function()
{
	if(this.callbackID) removeFrameCallback(this.callbackID);
	delete this.callbackID;
};
